com.lowagie.rups.view

## Class Console.ConsoleStyleContext

- java.lang.Object
- - javax.swing.text.StyleContext
  - - com.lowagie.rups.view.Console.ConsoleStyleContext

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.AbstractDocument.AttributeContext
  Enclosing class:
    Console

       class Console.ConsoleStyleContext
      extends javax.swing.text.StyleContext

  The style context defining the styles of each type of PrintStream.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.StyleContext

      `javax.swing.text.StyleContext.NamedStyle, javax.swing.text.StyleContext.SmallAttributeSet`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CUSTOM` The name of the Style used for Custom messages
    `private static long` | `serialVersionUID` A Serial Version UID.
    `static java.lang.String` | `SYSTEMERR` The name of the Style used for System.err
    `static java.lang.String` | `SYSTEMOUT` The name of the Style used for System.out

    - ### Fields inherited from class javax.swing.text.StyleContext

      `DEFAULT_STYLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Console.ConsoleStyleContext()` Creates the style context for the Console.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.text.StyleContext

      `addAttribute, addAttributes, addChangeListener, addStyle, createLargeAttributeSet, createSmallAttributeSet, getBackground, getChangeListeners, getCompressionThreshold, getDefaultStyleContext, getEmptySet, getFont, getFont, getFontMetrics, getForeground, getStaticAttribute, getStaticAttributeKey, getStyle, getStyleNames, readAttributes, readAttributeSet, reclaim, registerStaticAttributeKey, removeAttribute, removeAttributes, removeAttributes, removeChangeListener, removeStyle, toString, writeAttributes, writeAttributeSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      A Serial Version UID.
      See Also:
        Constant Field Values

    - #### CUSTOM

          public static final java.lang.String CUSTOM

      The name of the Style used for Custom messages
      See Also:
        Constant Field Values

    - #### SYSTEMOUT

          public static final java.lang.String SYSTEMOUT

      The name of the Style used for System.out
      See Also:
        Constant Field Values

    - #### SYSTEMERR

          public static final java.lang.String SYSTEMERR

      The name of the Style used for System.err
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Console.ConsoleStyleContext

          public Console.ConsoleStyleContext()

      Creates the style context for the Console.